## AwnBox AwnBox |

## Synopsis

                        AwnBoxPrivate;
                        AwnBox;
    GtkWidget *         awn_box_new                         (GtkOrientation orient);
    void                awn_box_set_orientation             (AwnBox *box,
                                                             GtkOrientation orient);
    void                awn_box_set_orientation_from_pos_type
                                                            (AwnBox *box,
                                                             GtkPositionType pos_type);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----AwnBox
                                           +----AwnIconBox

## Implemented Interfaces

AwnBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Details

### AwnBoxPrivate

    typedef struct _AwnBoxPrivate AwnBoxPrivate;

### AwnBox

    typedef struct _AwnBox AwnBox;

### awn_box_new ()

    GtkWidget *         awn_box_new                         (GtkOrientation orient);

`orient` : |
Returns : |

### awn_box_set_orientation ()

    void                awn_box_set_orientation             (AwnBox *box,
                                                             GtkOrientation orient);

`box` : |
`orient` : |

### awn_box_set_orientation_from_pos_type ()

    void                awn_box_set_orientation_from_pos_type
                                                            (AwnBox *box,
                                                             GtkPositionType pos_type);

`box` : |
`pos_type` : |